Subject: Ticket Assigned - Re: Case Resolved
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 09 Nov 2021 08:55:04 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Re: Case Resolved hi ,

I'm writing regarding my order
9509349457

I have ordered this from 24 October and until now didn't receive I
have called the call center more than 5 times

im very disappointed from this bad service and not caring at all of
the customer although I was regulator customer.

v bad service

On 11/5/21, Max <[email-masked]> wrote:
>   Hi Ayesha.aljanahi2,  How would rate our services?    Your friends,  The
> Max Support Team
>
>
>
>
>         How would you rate your overall experience?
>
>
>
>
>
>
>
>
>
>             Extremely satisfied
>
>
>             Neither satisfied nor dissatisfied
>
>
>             Extremely dissatisfied
>
>
>
>
>
>
>
>
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3326455